## boinc-app-seti 7.19~svn2051

=== debian/changelog ===
boinc-app-seti (7.19~svn2051-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch to dh-autoreconf.
  * Tweak app-info.xml file after upstream suggestion,
    thanks Claggy!
  * Moved app name from setiathome_enhanced to setiathome_v7
    for upstream suggestion.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Mar 2014 09:40:55 +0100

boinc-app-seti (7.19~svn2051-1) experimental; urgency=low

  * Re-imported the old version with no changes, just for bumping
    the version number and allowing the upload of the package
    due to the 7.19~svn2050-2.is.7.00~svn1933-2 version, greater
    than 7.19~svn2050-3.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 25 Feb 2014 14:05:41 +0100

boinc-app-seti (7.19~svn2050-3) UNRELEASED; urgency=low

  * Uploading to experimental, fixing armel and armhf ftbfs.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 15 Feb 2014 17:34:43 +0100

boinc-app-seti (7.19~svn2050-2.is.7.00~svn1933-2) unstable; urgency=low

  * Re added autotools-dev as build-dep, fixing arm64 ftbfs

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 30 Dec 2013 23:04:20 +0100

boinc-app-seti (7.19~svn2050-2.is.7.00~svn1933-1) unstable; urgency=low

  * Tweak debian/rules, forcing 7.00 as version
  * Rebuild 1933 against new boinc_7.2.33+dfsg-1 (Closes: #733204)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 29 Dec 2013 17:09:45 +0100

boinc-app-seti (7.19~svn2050-1) unstable; urgency=low

  * New upstream snapshot.
  * Fixed a ftbfs on ubuntu arm64.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 22 Nov 2013 13:34:26 +0100

boinc-app-seti (7.19~svn2022-2) UNRELEASED; urgency=low

  * Bumped std version to 3.9.5, no changes required.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 06 Nov 2013 10:15:31 +0100

boinc-app-seti (7.19~svn2022-1) unstable; urgency=low

  * Upload to unstable
  * New upstream release, addressing some autosetup warnings
  * Added autotools-dev as build-dep (Closes: #727333)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 11 Oct 2013 18:22:23 +0200

boinc-app-seti (7.09~svn1982-1) experimental; urgency=low

  * New upstream release, addressing some arm* problems

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 06 Sep 2013 12:09:30 +0200

boinc-app-seti (7.07~svn1976-1) unstable; urgency=low

  * New upstream release, patch refresh.
  * Tweaked debian/rules, now uses _autosetup script.
  * Added libtool as build-dep.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 04 Sep 2013 18:43:28 +0200
