=== debian/control ===
Source: boinc-app-seti
Section: science
Priority: extra
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Guo Yixuan <culu.gyx@gmail.com>,
 Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-autoreconf,
 automake,
 dpkg-dev (>= 1.16.1.1),
 boinc-dev (>= 7.1.21+dfsg) | libboinc-app-dev (>= 7.1.21+dfsg),
 autoconf,
 libtool,
 libfftw3-dev,
 libgsl0-dev,
 freeglut3-dev,
 libjpeg-dev,
 libxmu-dev,
 libxi-dev
Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
Homepage: http://setiathome.berkeley.edu/

Package: boinc-app-seti
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
Suggests: boinc-manager
Conflicts: boinc-app-seti-graphics
Description: SETI@home application for the BOINC client
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package contains the SETI@home Enhanced application for the BOINC
 distributed computing platform. The BOINC client downloads the radio
 data which the SETI@home application analyzes looking for signals of
 extraterrestrial origin. Results are then send back to the SETI@home
 server by the BOINC client.
 .
 Note that this package has been primarily created for users of
 architectures for which SETI@home does not provide its application.
 If your architecture is x86 or AMD64 the BOINC client automatically
 downloads the latest SETI@home application if you participate in this
 project. There is no need to install this package then, except for
 it to take all technical hurdles from you to have your very custom
 SETI patch or new compiler flags evaluated. The configuration of
 BOINC to find the local SETI binary is all performed by the package.
 .
 This package only provides command line application.
 The boinc-app-seti-graphics package provides graphic application.

Package: boinc-app-seti-graphics
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends}, boinc-client
Suggests: boinc-manager
Conflicts: boinc-app-seti
Description: SETI@home application for the BOINC client (with graphics)
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package contains the SETI@home Enhanced application for the BOINC
 distributed computing platform. The BOINC client downloads the radio
 data which the SETI@home application analyzes looking for signals of
 extraterrestrial origin. Results are then send back to the SETI@home
 server by the BOINC client.
 .
 Note that this package has been primarily created for users of
 architectures for which SETI@home does not provide its application.
 If your architecture is x86 or AMD64 the BOINC client automatically
 downloads the latest SETI@home application if you participate in this
 project. There is no need to install this package then, except for
 it to take all technical hurdles from you to have your very custom
 SETI patch or new compiler flags evaluated. The configuration of
 BOINC to find the local SETI binary is all performed by the package.
 .
 This package provides graphic interface for SETI@HOME Enhanced application.
 The boinc-app-seti package only provides command line application.

Package: boinc-app-seti-dbg
Architecture: any
Depends: ${misc:Depends},
 boinc-app-seti (= ${binary:Version}) |
 boinc-app-seti-graphics (= ${binary:Version})
Section: debug
Description: debug symbols for SETI@home
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package provide debug information. It comes handy when you have
 optimised the code of SETI yourself and find it crash or be stuck in
 an infinite loop or you may be asked to install the package for some
 joint investigation with the SETI core developers.
