## boinc-app-seti 7.28~svn2408

=== debian/changelog ===
boinc-app-seti (7.28~svn2408-1) unstable; urgency=medium

  * Updated Guo's uid in debian/control.
  * New upstream release, build against boinc 7.4.8.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 08 Jun 2014 10:26:17 +0200

boinc-app-seti (7.28~svn2385-1) unstable; urgency=medium

  * New upstream release, build against new boinc 7.3.19.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 05 Jun 2014 19:19:23 +0200

boinc-app-seti (7.28~svn2203-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Drop fix-armel.patch and fix-ftbfs-arm64.patch, addressed
    upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 14 Apr 2014 00:10:11 +0200
