## boinc-app-seti 7.28~svn2633

=== debian/changelog ===
boinc-app-seti (7.28~svn2633-3) unstable; urgency=medium

  * Bump std-version to 3.9.6, no changes required.
  * Stop depending on old boinc-dev.
  * Update copyright, now in machine readable format.
  * Add description to patches, reorder them,
    use patch name as written in README.patches.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 30 Sep 2014 14:49:40 +0200

boinc-app-seti (7.28~svn2633-2) unstable; urgency=medium

  * Rebuild against new boinc.
  * Add some missing copyright entries.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 27 Sep 2014 23:46:22 +0200

boinc-app-seti (7.28~svn2633-1) unstable; urgency=medium

  * Rebuild against new boinc.
  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 04 Sep 2014 18:15:55 +0200
