=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
  Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-autoreconf,
  automake,
  dpkg-dev (>= 1.16.1.1),
- boinc-dev (>= 7.1.21+dfsg) | libboinc-app-dev (>= 7.1.21+dfsg),
+ libboinc-app-dev,
  autoconf,
  libtool,
  libfftw3-dev,
@@ -53,7 +53,7 @@
 
 Package: boinc-app-seti-graphics
 Architecture: any
-Depends: ${misc:Depends},${shlibs:Depends}, boinc-client
+Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
 Suggests: boinc-manager
 Conflicts: boinc-app-seti
 Description: SETI@home application for the BOINC client (with graphics)
