=== debian/rules ===
--- 
+++ 
@@ -133,14 +133,14 @@
 	dh_auto_build -O--parallel --builddirectory=nographics
 
 override_dh_auto_clean:
-	# may be seen after invoking binary
-	# rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile client/project_specific_defines.h
+	dh_auto_clean
 	rm -rf configure Makefile.in aclocal.m4 assimilator/Makefile.in client/Makefile.in sah_config.h.in splitter_fft/Makefile.in splitter_pfb/Makefile.in tools/Makefile.in
 	rm -rf compile config.guess config.sub depcomp install-sh ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 missing
 	# separate building dirs
 	rm -rf graphics/
 	rm -rf nographics/
-	dh_auto_clean
+	# may be seen after invoking binary
+	rm -f boinc_finish_called result.sah state.sah stderr.txt stderrgfx.txt wisdom.sah work_unit.sah boinc_lockfile project_specific_defines.h boinc_setiathome_*
 
 override_dh_install: 
 	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v7
@@ -150,14 +150,11 @@
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
 	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
-	dh_install
+	dh_install --list-missing
 
 
 override_dh_strip:
 	dh_strip --dbg-package=boinc-app-seti-dbg
-
-override_dh_clean:
-	dh_clean debian/extra/app_info.xml debian/extra-graphics/app_info.xml
 
 
 origDir ?= .
