## boinc-app-seti 7.28~svn3013

=== debian/changelog ===
boinc-app-seti (7.28~svn3013-1) unstable; urgency=medium

  * New upstream release.
  * d/p/216-fix-build.patch fix build error

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 23 Feb 2015 14:49:35 +0100
