=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: extra
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
+           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), dh-autoreconf,
- automake,
- dpkg-dev (>= 1.16.1.1),
- libboinc-app-dev,
- autoconf,
- libtool,
- libfftw3-dev,
- libgsl0-dev,
- freeglut3-dev,
- libjpeg-dev,
- libxmu-dev,
- libxi-dev
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9),
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1.1),
+               freeglut3-dev,
+               libboinc-app-dev,
+               libfftw3-dev,
+               libgsl0-dev,
+               libjpeg-dev,
+               libtool,
+               libxi-dev,
+               libxmu-dev
 Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
+Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
 Suggests: boinc-manager
 Conflicts: boinc-app-seti-graphics
 Description: SETI@home application for the BOINC client
@@ -53,7 +54,7 @@
 
 Package: boinc-app-seti-graphics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
+Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
 Suggests: boinc-manager
 Conflicts: boinc-app-seti
 Description: SETI@home application for the BOINC client (with graphics)
@@ -82,9 +83,8 @@
 
 Package: boinc-app-seti-dbg
 Architecture: any
-Depends: ${misc:Depends},
- boinc-app-seti (= ${binary:Version}) |
- boinc-app-seti-graphics (= ${binary:Version})
+Depends: boinc-app-seti (= ${binary:Version}) | boinc-app-seti-graphics (= ${binary:Version}),
+         ${misc:Depends}
 Section: debug
 Description: debug symbols for SETI@home
  SETI@home is a distributed computing project using Internet-connected
