## boinc-app-seti 8.00~svn3363

=== debian/changelog ===
boinc-app-seti (8.00~svn3363-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * Transition to auto-dbg packages
  * Removed dependency on unused libgsl (Closes: #823878), thanks for spotting
    and suggesting so go to James Cowgill.
  * Bumped standard to 3.9.8.
  * Demand at least i686 architecture for x86.
  * Introduce -march=native for local builds and added respective instructions
    to debian/README.Debian

  [ Gianfranco Costamagna ]
  * Fix VCS fields.
  * Remove build fix for arm, preferring upstream fix.
  * Fix build with gcc-6 and glib-2.23 (Closes: #831186)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 11:40:51 +0200

boinc-app-seti (8.00~svn3363-2) unstable; urgency=medium

  * Fix an armhf build failure by reverting the pld removal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Feb 2016 09:15:18 +0100

boinc-app-seti (8.00~svn3363-1) unstable; urgency=medium

  * New upstream release (Closes: #813326).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 10:01:38 +0100

boinc-app-seti (7.28~svn3106-1) unstable; urgency=medium

  * New upstream release.
  * Update my uid.
  * Set priority optional
  * Drop useless build-dependencies (autoconf, automake, libtool)
    useless with dh-autoreconf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 09:41:54 +0200
