=== debian/control ===
--- 
+++ 
@@ -1,26 +1,22 @@
 Source: boinc-app-seti
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
-           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
-Standards-Version: 3.9.6
-Build-Depends: autoconf,
-               automake,
-               debhelper (>= 9),
+           Gianfranco Costamagna <locutusofborg@debian.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
                libboinc-app-dev,
                libfftw3-dev,
-               libgsl0-dev,
                libjpeg-dev,
-               libtool,
                libxi-dev,
                libxmu-dev
-Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc-app-seti.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
@@ -80,19 +76,3 @@
  .
  This package provides graphic interface for SETI@HOME Enhanced application.
  The boinc-app-seti package only provides command line application.
-
-Package: boinc-app-seti-dbg
-Architecture: any
-Depends: boinc-app-seti (= ${binary:Version}) | boinc-app-seti-graphics (= ${binary:Version}),
-         ${misc:Depends}
-Section: debug
-Description: debug symbols for SETI@home
- SETI@home is a distributed computing project using Internet-connected
- computers for the Search for Extraterrestrial Intelligence (SETI). It
- searches for possible evidence of extraterrestrial intelligence in
- radio transmissions collected by the Arecibo radio telescope.
- .
- This package provide debug information. It comes handy when you have
- optimised the code of SETI yourself and find it crash or be stuck in
- an infinite loop or you may be asked to install the package for some
- joint investigation with the SETI core developers.
