=== debian/rules ===
--- 
+++ 
@@ -59,13 +59,9 @@
 
 ifneq (clang,$(CXX))
 CFLAGS_APPEND += -O3
-#CFLAGS_APPEND += -mnative
 #CFLAGS_APPEND += -mno-avx
 #CFLAGS_APPEND += -msse4.2
 GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
-# gcc 4.6 on precise has issues while gcc 4.7 and 4.8 on sid are just fine with -mno-avx set on non bulldozer/SandyBridge machines
-# CFLAGS_APPEND += -flto
-# LDFLAGS += -flto
 endif
 
 ifeq (clang,$(CXX))
@@ -74,23 +70,57 @@
 # -O4 implies link-time optimisation with clang, fails
 endif
 
+ifeq (linux,$(shell dpkg-architecture -qDEB_TARGET_ARCH_OS))
+ifneq (,$(findstring local,$(DEB_BUILD_OPTIONS)))
+LOCALOPTIMISATION="yes"
+endif
+ifeq (,$(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'UNRELEASED'))
+LOCALOPTIMISATION="yes"
+endif
+endif
+
+# If the package is not meant to be distributed to main servers, then maximise optimisation
+ifneq (,$(LOCALOPTIMISATION))
+  $(info I: Setting native flags for optimisation)
+  CFLAGS_APPEND += -march=native -mtune=native
+else
+  $(info W: Would have set native flags for optimisation but supported only for linux)
+ifeq ($(DEB_BUILD_GNU_CPU),i686)
+  # Demand i686 class system
+  CFLAGS_APPEND += -march=i686 -mcpu=i686
+endif
+endif
+
+ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
+  SETIEXTRAFLAGS += --enable-sse3
+#  SETIEXTRAFLAGS += --disable-avx
+#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
+endif
+
+ifeq ($(DEB_BUILD_GNU_CPU),i686)
+  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
+endif
+
+# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
+SETIEXTRAFLAGS= --disable-altivec
+
+# Link-time optimisation demands knowledge about all CFLAGS both at
+# compile time (as represented by CFLAGS and CXXFLAGS) but also at
+# at link time.
+#ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
+# $(info I: Activating LinkTimeOptimisation)
+# SETIEXTRAFLAGS += -flto
+# LDFLAGS += -flto
+# #CXX := $(CXX) $(CXXFLAGS)
+# #CC := $(CC) $(CFLAGS)
+# AR := gcc-ar
+# RANLIB := gcc-ranlib
+#endif
+
 # Although all source file are C++, some handwritten rules in
 # client/Makefile.am seem to use CFLAGS only.
 CFLAGS   += $(CFLAGS_APPEND)
 CXXFLAGS += $(CFLAGS_APPEND)
-
-# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
-SETIEXTRAFLAGS= --disable-altivec
-
-ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
-  SETIEXTRAFLAGS += --enable-sse3
-#  SETIEXTRAFLAGS += --disable-avx
-#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
-endif
-
-ifeq ($(DEB_BUILD_GNU_CPU),i686)
-  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
-endif
 
 
 # Get upstream version from debian version.
@@ -143,8 +173,8 @@
 	rm -f boinc_finish_called result.sah state.sah stderr.txt stderrgfx.txt wisdom.sah work_unit.sah boinc_lockfile project_specific_defines.h boinc_setiathome_*
 
 override_dh_install: 
-	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v7
-	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v7
+	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v8
+	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v8
 	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
 	cat debian/extra/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
@@ -154,7 +184,7 @@
 
 
 override_dh_strip:
-	dh_strip --dbg-package=boinc-app-seti-dbg
+	dh_strip --dbgsym-migration=boinc-app-seti-dbg
 
 
 origDir ?= .
