## boinc-app-seti 8.00~svn3725

=== image_libs/Makefile ===

subdir = image_libs

SUFFIXES = .cpp .h

all: Makefile

clean:
	rm -f *.o

distclean: clean
	-rm -f Makefile
