=== debian/changelog ===
boinc-app-seti (8.00~svn3725-3) unstable; urgency=medium

  * Switch export script to salsa.d.o
  * Update std-version to 4.1.4.1
  * Update Homepage to https mode
  * Update VCS fields to salsa.d.o

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 00:03:28 +0200

boinc-app-seti (8.00~svn3725-2) unstable; urgency=medium

  * Fix arm64 build (add again the arm64 patch).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 May 2018 10:09:59 +0200

boinc-app-seti (8.00~svn3725-1) unstable; urgency=medium

  * Upload to unstable
  * Fix build failure due to missing stdio.h include

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 May 2018 20:26:24 +0200

boinc-app-seti (8.00~svn3725-1~exp1) experimental; urgency=medium

  * New upstream version 8.00~svn3725
  * Bump std-version to 4.1.0, no changes required.
  * Try to drop arm64 patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 May 2018 19:26:32 +0200
