=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4.1
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
@@ -14,9 +14,9 @@
                libjpeg-dev,
                libxi-dev,
                libxmu-dev
-Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc-app-seti.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc-app-seti.git
-Homepage: http://setiathome.berkeley.edu/
+Vcs-Browser: https://salsa.debian.org/pkg-boinc-team/boinc-app-seti
+Vcs-Git: https://salsa.debian.org/pkg-boinc-team/boinc-app-seti.git
+Homepage: https://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
 Architecture: any
