## boinc-app-seti 8.00~svn4035

=== debian/changelog ===
boinc-app-seti (8.00~svn4035-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:09 +0100

boinc-app-seti (8.00~svn4035-1) unstable; urgency=medium

  * New upstream version 8.00~svn4035
  * Bump std-version to 4.3.0,
  * Bump compat level to 12
  * Copyright in https mode
  * Drop trailing spaces
  * Use dpkg to parse revisions

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Jul 2019 14:14:53 +0200
