=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.4.1
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
                libboinc-app-dev,
