=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -74,7 +75,7 @@
 ifneq (,$(findstring local,$(DEB_BUILD_OPTIONS)))
 LOCALOPTIMISATION="yes"
 endif
-ifeq (,$(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'UNRELEASED'))
+ifeq "$(DEB_DISTRIBUTION)" "UNRELEASED"
 LOCALOPTIMISATION="yes"
 endif
 endif
@@ -119,8 +120,7 @@
 
 
 # Get upstream version from debian version.
-UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
-  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1 | perl -pe 's/^.*?://')
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) |cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1)
 # Remove dot "." in upstream version for use in app_info.xml
 APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))
 
@@ -167,7 +167,7 @@
 	# may be seen after invoking binary
 	rm -f boinc_finish_called result.sah state.sah stderr.txt stderrgfx.txt wisdom.sah work_unit.sah boinc_lockfile project_specific_defines.h boinc_setiathome_*
 
-override_dh_install: 
+override_dh_install:
 	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v8
 	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v8
 	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
@@ -175,8 +175,10 @@
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
 	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
-	dh_install --list-missing
-
+	dh_install
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=boinc-app-seti-dbg
